com.sun.pdfview.font

## Class PDFFontEncoding

- java.lang.Object
- - com.sun.pdfview.font.PDFFontEncoding

    public class PDFFontEncoding
    extends java.lang.Object

The PDFFont encoding encapsulates the mapping from character codes in the PDF document to glyphs of the font. Encodings take two basic forms. For Type1, TrueType, and Type3 fonts, the encoding maps from character codes to Strings, which represent the glyphs of the font. For Type0 fonts, the mapping is a CMap which maps character codes to characters in one of many descendant fonts. Note that the data in the PDF might be ASCII characters (bytes) or it might be a multi-byte format such as unicode. For now we will assume all glyph ids fit into at most the two bytes of a character.

### Constructor Summary

Constructors
Constructor and Description
`PDFFontEncoding(java.lang.String fontType, PDFObject encoding)` Creates a new instance of PDFFontEncoding

### Method Summary

Methods
`java.util.List<PDFGlyph>` `getGlyphs(PDFFont font, java.lang.String text)` Get the glyphs associated with a given String
`void` `parseEncoding(PDFObject encoding)` Parse a PDF encoding object for the actual encoding

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFFontEncoding

    public PDFFontEncoding(java.lang.String fontType,
                   PDFObject encoding)
                    throws java.io.IOException

Creates a new instance of PDFFontEncoding

Throws:
  `java.io.IOException`

### Method Detail

#### getGlyphs

    public java.util.List<PDFGlyph> getGlyphs(PDFFont font,
                                     java.lang.String text)

Get the glyphs associated with a given String

#### parseEncoding

    public void parseEncoding(PDFObject encoding)
                       throws java.io.IOException

Parse a PDF encoding object for the actual encoding

Throws:
  `java.io.IOException`